### GET /v1/searches/check/{run_id} Source: https://api.pipe0.com/openapi Check status of search task. Poll this endpoint to until the status becomes 'completed'. Recommended polling intervals are between 1-3s. ```markdown ### Parameters - **run_id** (string,null, path, required) (example: "xyz") ### Responses #### 200 - Return current processing state - **id** (string) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") - **results** (array (object)) (required) - **search_statuses** (array (object)) (required) Array items: - **search** (object) (required) - **ref** (string (people:profiles:icypeas@1|companies:profiles:icypeas@1|people:profiles:clado@1|people:profiles:clado@2|people:employees:leadmagic@1|companies:profiles:exa@1|people:profiles:exa@1|companies:profiles:crustdata@1|people:profiles:crustdata@1)) (required) ("people:profiles:icypeas@1"|"companies:profiles:icypeas@1"|"people:profiles:clado@1"|"people:profiles:clado@2"|"people:employees:leadmagic@1"|"companies:profiles:exa@1"|"people:profiles:exa@1"|"companies:profiles:crustdata@1"|"people:profiles:crustdata@1") - **status** (string (pending|processing|failed|completed)) (required) ("pending"|"processing"|"failed"|"completed") - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **meta** (object) (required) - **providers** (object) - **clado** (object) - **pagination** (object) (required) - **search_id** (string) - **offset** (number) - **crustdata** (object) - **organizationId** (string) (required) #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://api.pipe0.com/v1/searches/check/{run_id}" ``` ``` -------------------------------- ### GET /v1/pipes/check/{run_id} Source: https://api.pipe0.com/openapi Check status of enrichment task. Poll this endpoint to until the status becomes 'completed'. Recommended polling intervals are between 1-3s. ```markdown ### Parameters - **run_id** (string,null, path, required) (example: "xyz") ### Responses #### 200 - Return current processing state - **id** (string) (required) - **organization_id** (string) (required) - **order** (array (union)) (required) - **field_definitions** (object) (required) - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **records** (object) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X GET "https://api.pipe0.com/v1/pipes/check/{run_id}" ``` ``` -------------------------------- ### POST /v1/searches/run Source: https://api.pipe0.com/openapi Use multiple data sources to search for people and company data. ```markdown ### Request Body **Content-Type:** application/json - **config** (object) - **dedup** (object) - **strategy** (string,null) (required) ("default") - **environment** (string (production|sandbox)) ("production"|"sandbox") - **widgets** (object) - **enabled** (boolean) - **searches** (array (union)) (required) Array items: - **search_id** (string (people:profiles:crustdata@1)) (required) ("people:profiles:crustdata@1") - **connector** (object,null) - **config** (object) (required) - **limit** (integer) - **cursor** (string) (required) - **output_fields** (object) - **name** (object) - **alias** (string) - **enabled** (boolean) - **company_website_url** (object) - **profile_url** (object) - **job_title** (object) - **crustdata_person_match** (object) - **filters** (object) (required) - **locations** (array (string)) - **profile_headline_keywords** (array (string)) - **profile_summary_keywords** (array (string)) - **profile_languages** (array (string (Arabic|English|Spanish|Portuguese|Chinese|French|Italian|Russian|German|Dutch|Turkish|Tagalog|Polish|Korean|Japanese|Malay|Norwegian|Danish|Romanian|Swedish|Bahasa Indonesia|Czech))) - **languages** (array (string)) - **skills** (array (string)) - **years_of_experience** (array (string (Less than 1 year|1 to 2 years|3 to 5 years|6 to 10 years|More than 10 years))) - **current_seniority_levels** (object) - **include** (array (string)) - **exclude** (array (string)) - **current_employers** (array (string)) - **current_employers_website_urls** (array (string)) - **current_job_titles** (array (string)) - **current_employers_linkedin_industries** (array (string)) - **years_at_current_company** (array (string (Less than 1 year|1 to 2 years|3 to 5 years|6 to 10 years|More than 10 years))) - **previous_employers_website_urls** (array (string)) - **previous_seniority_levels** (object) - **previous_employers** (array (string)) - **previous_job_titles** (array (string)) - **previous_employers_linkedin_industries** (array (string)) - **certifications** (array (string)) - **honors** (array (string)) - **recently_changed_jobs** (boolean,null) - **fields_of_study** (array (string)) - **degree_names** (array (string)) - **school_names** (array (string)) - **current_school_names** (array (string)) - **extracurricular_activities** (array (string)) ### Responses #### 201 - Run pipeline request - **id** (string) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") - **results** (array (object)) (required) - **search_statuses** (array (object)) (required) Array items: - **search** (object) (required) - **ref** (string (people:profiles:icypeas@1|companies:profiles:icypeas@1|people:profiles:clado@1|people:profiles:clado@2|people:employees:leadmagic@1|companies:profiles:exa@1|people:profiles:exa@1|companies:profiles:crustdata@1|people:profiles:crustdata@1)) (required) ("people:profiles:icypeas@1"|"companies:profiles:icypeas@1"|"people:profiles:clado@1"|"people:profiles:clado@2"|"people:employees:leadmagic@1"|"companies:profiles:exa@1"|"people:profiles:exa@1"|"companies:profiles:crustdata@1"|"people:profiles:crustdata@1") - **status** (string (pending|processing|failed|completed)) (required) ("pending"|"processing"|"failed"|"completed") - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **meta** (object) (required) - **providers** (object) - **clado** (object) - **pagination** (object) (required) - **search_id** (string) - **offset** (number) - **crustdata** (object) - **organizationId** (string) (required) #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Required resource not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://api.pipe0.com/v1/searches/run" \ -H "Content-Type: application/json" \ -d '{ "config": { "dedup": { "strategy": "value" }, "environment": "production", "widgets": { "enabled": "false" } }, "searches": [ "value" ] }' ``` ``` -------------------------------- ### POST /v1/searches/run/sync Source: https://api.pipe0.com/openapi Search for companies and leads synchronously. This endpoint waits for the search to complete before returning a result. For large search requests this endpoint will time out. ```markdown ### Request Body **Content-Type:** application/json - **config** (object) - **dedup** (object) - **strategy** (string,null) (required) ("default") - **environment** (string (production|sandbox)) ("production"|"sandbox") - **widgets** (object) - **enabled** (boolean) - **searches** (array (union)) (required) Array items: - **search_id** (string (people:profiles:crustdata@1)) (required) ("people:profiles:crustdata@1") - **connector** (object,null) - **config** (object) (required) - **limit** (integer) - **cursor** (string) (required) - **output_fields** (object) - **name** (object) - **alias** (string) - **enabled** (boolean) - **company_website_url** (object) - **profile_url** (object) - **job_title** (object) - **crustdata_person_match** (object) - **filters** (object) (required) - **locations** (array (string)) - **profile_headline_keywords** (array (string)) - **profile_summary_keywords** (array (string)) - **profile_languages** (array (string (Arabic|English|Spanish|Portuguese|Chinese|French|Italian|Russian|German|Dutch|Turkish|Tagalog|Polish|Korean|Japanese|Malay|Norwegian|Danish|Romanian|Swedish|Bahasa Indonesia|Czech))) - **languages** (array (string)) - **skills** (array (string)) - **years_of_experience** (array (string (Less than 1 year|1 to 2 years|3 to 5 years|6 to 10 years|More than 10 years))) - **current_seniority_levels** (object) - **include** (array (string)) - **exclude** (array (string)) - **current_employers** (array (string)) - **current_employers_website_urls** (array (string)) - **current_job_titles** (array (string)) - **current_employers_linkedin_industries** (array (string)) - **years_at_current_company** (array (string (Less than 1 year|1 to 2 years|3 to 5 years|6 to 10 years|More than 10 years))) - **previous_employers_website_urls** (array (string)) - **previous_seniority_levels** (object) - **previous_employers** (array (string)) - **previous_job_titles** (array (string)) - **previous_employers_linkedin_industries** (array (string)) - **certifications** (array (string)) - **honors** (array (string)) - **recently_changed_jobs** (boolean,null) - **fields_of_study** (array (string)) - **degree_names** (array (string)) - **school_names** (array (string)) - **current_school_names** (array (string)) - **extracurricular_activities** (array (string)) ### Responses #### 200 - Run searches request - **id** (string) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") - **results** (array (object)) (required) - **search_statuses** (array (object)) (required) Array items: - **search** (object) (required) - **ref** (string (people:profiles:icypeas@1|companies:profiles:icypeas@1|people:profiles:clado@1|people:profiles:clado@2|people:employees:leadmagic@1|companies:profiles:exa@1|people:profiles:exa@1|companies:profiles:crustdata@1|people:profiles:crustdata@1)) (required) ("people:profiles:icypeas@1"|"companies:profiles:icypeas@1"|"people:profiles:clado@1"|"people:profiles:clado@2"|"people:employees:leadmagic@1"|"companies:profiles:exa@1"|"people:profiles:exa@1"|"companies:profiles:crustdata@1"|"people:profiles:crustdata@1") - **status** (string (pending|processing|failed|completed)) (required) ("pending"|"processing"|"failed"|"completed") - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **meta** (object) (required) - **providers** (object) - **clado** (object) - **pagination** (object) (required) - **search_id** (string) - **offset** (number) - **crustdata** (object) - **organizationId** (string) (required) #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Required resource not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://api.pipe0.com/v1/searches/run/sync" \ -H "Content-Type: application/json" \ -d '{ "config": { "dedup": { "strategy": "value" }, "environment": "production", "widgets": { "enabled": "false" } }, "searches": [ "value" ] }' ``` ``` -------------------------------- ### POST /v1/pipes/run/sync Source: https://api.pipe0.com/openapi Enrich data synchronously. This endpoint waits for the enrichment to complete before returning a result. With with fewer than 10 records. To enrich more data at once use the '/run' endpoint. ```markdown ### Request Body **Content-Type:** application/json - **config** (object) - **environment** (string (production|sandbox)) ("production"|"sandbox") - **widgets** (object) - **enabled** (boolean) - **field_definitions** (object) - **transform** (object) - **include_fields** (string (input|annotated)) (required) ("input"|"annotated") - **field_annotations** (object) - **pipes** (array (union)) (required) Array items: - **pipe_id** (string (prompt:run@1)) (required) ("prompt:run@1") - **connector** (object,null) - **trigger** (object,null) - **config** (object) (required) - **prompt** (object) (required) - **template** (string) (required) - **json_schemas** (object) - **model** (string,null) ("gemini-flash-latest"|"openai-gpt-latest"|"openai-gpt-mini-latest"|"") - **input** (array (object)) (required) ### Responses #### 200 - Run pipeline request - **id** (string) (required) - **organization_id** (string) (required) - **order** (array (union)) (required) - **field_definitions** (object) (required) - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **records** (object) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Required resource not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://api.pipe0.com/v1/pipes/run/sync" \ -H "Content-Type: application/json" \ -d '{ "config": { "environment": "production", "widgets": { "enabled": "false" }, "field_definitions": { "enabled": "true" }, "transform": { "include_fields": "input" } }, "field_annotations": "value", "pipes": [ "value" ], "input": [ "value" ] }' ``` ``` -------------------------------- ### POST /v1/pipes/run Source: https://api.pipe0.com/openapi Enrich data asynchronously. Create an enrichment task. Check this task by polling the '/check' endpoint until the status becomes 'completed'. ```markdown ### Request Body **Content-Type:** application/json - **config** (object) - **environment** (string (production|sandbox)) ("production"|"sandbox") - **widgets** (object) - **enabled** (boolean) - **field_definitions** (object) - **transform** (object) - **include_fields** (string (input|annotated)) (required) ("input"|"annotated") - **field_annotations** (object) - **pipes** (array (union)) (required) Array items: - **pipe_id** (string (prompt:run@1)) (required) ("prompt:run@1") - **connector** (object,null) - **trigger** (object,null) - **config** (object) (required) - **prompt** (object) (required) - **template** (string) (required) - **json_schemas** (object) - **model** (string,null) ("gemini-flash-latest"|"openai-gpt-latest"|"openai-gpt-mini-latest"|"") - **input** (array (object)) (required) ### Responses #### 201 - Run pipeline request - **id** (string) (required) - **organization_id** (string) (required) - **order** (array (union)) (required) - **field_definitions** (object) (required) - **errors** (array (object)) (required) Array items: - **code** (string) (required) - **message** (string) (required) - **path** (string) - **records** (object) (required) - **status** (string (completed|failed|pending|processing)) (required) ("completed"|"failed"|"pending"|"processing") #### 400 - Bad request - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 401 - Unauthorized - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 403 - Forbidden - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) #### 404 - Required resource not found - **type** (string) (required) - **title** (string) (required) - **status** (number) (required) - **detail** (string) (required) ### Example Usage ```bash curl -X POST "https://api.pipe0.com/v1/pipes/run" \ -H "Content-Type: application/json" \ -d '{ "config": { "environment": "production", "widgets": { "enabled": "false" }, "field_definitions": { "enabled": "true" }, "transform": { "include_fields": "input" } }, "field_annotations": "value", "pipes": [ "value" ], "input": [ "value" ] }' ``` ``` -------------------------------- ### API Overview: Pipe0 API Source: https://api.pipe0.com/openapi OpenAPI specification version 0.1.0 ```yaml # Pipe0 API # Version: 0.1.0 OpenAPI specification # Base URL: https://api.pipe0.com ``` -------------------------------- ### Security: bearerAuth Source: https://api.pipe0.com/openapi Security scheme: bearerAuth ```markdown ## Security: bearerAuth **Description:** Security scheme: bearerAuth **Type:** http **Scheme:** bearer ``` -------------------------------- ### Schema: OperationPayloadSchema Source: https://api.pipe0.com/openapi Schema definition for OperationPayloadSchema ```markdown ## Schema: OperationPayloadSchema Schema definition for OperationPayloadSchema **Type:** object - **type** (string (enrich)) (required) ("enrich") - **pipes** (array (union)) (required) Array items: - **pipe_id** (string (prompt:run@1)) (required) ("prompt:run@1") - **connector** (object,null) - **trigger** (object,null) - **config** (object) (required) - **prompt** (object) (required) - **template** (string) (required) - **json_schemas** (object) - **model** (string,null) ("gemini-flash-latest"|"openai-gpt-latest"|"openai-gpt-mini-latest"|"") - **view** (object) (required) - **type** (string (raw)) (required) ("raw") - **recordIds** (array (string)) (required) ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.